スレッド表示 | フラット表示〕 全トピック 924 件中 794 番目 次≫ ≪前

PHPはどのバージョンを使うのがよいのでしょうか

created: 2003-09-30 14:37 | modified: 2003-10-01 10:32 | reply: 3

[722] 最新が良いかも

user: ゆうじ | created: 2003-09-30 22:58
勉強用とか配布用スクリプトの開発が目的なら、
最新のバージョンが良いと思います。
出来るだけ新しい環境で
古いバージョンを考慮したスクリプトを書くことで、
そのスクリプトの寿命をいくらかでも長くすることができます。

現在サーバーとして運用中のものならば、
必要となる機能を見極めて 4.1.2 とか 4.2.3 のように
3桁目が最終番号のバージョンを選ぶのが良いのでは。
安定してるかどうかはわかりませんが、
それぞれ情報が揃ってるバージョンですので保守面を考えるとこれ。

> 「今日のポイント」を見ると、4.2以降のバージョンで変数の受け渡し方が変わるという記事も見つけて、プログラム全部直さないとダメかなと思ってます。

誤解のないように補足しますと
古い変数の受け渡し方は 4.3.3 でも有効です。
ただセキュリティ面を考え 4.2.0 からは register_globals のデフォルト値が On から Off に変ったので、
4.1.0 から採用した $_GET[] のような書式を推薦してるわけです。

これからは register_globals = Off のサーバーが増えてくると思いますので、
いずれは書き直さなければならなくなるとは思いますが。
Parent: 720  reply: 723 返信 編集 削除
スレッド表示 | フラット表示〕 全トピック 924 件中 794 番目 次≫ ≪前
ページの一番上へ
Googleグックマークに登録 Yahooグックマークに登録 livedoorクリップに登録 @niftyクリップに登録 はてなブックマークに登録 deliciousに登録 Buzzurlに登録 FC2ブックマークに登録
最近更新された掲示板トピックス
管理人Blog
Yahoo Search

最近更新したNote
PHPマニュアル
今日のブックマーク
PHPマニュアル関数検索
関数名を入力し検索ボタンをクリック↑